(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14788,        324]
NotebookOptionsPosition[     14250,        303]
NotebookOutlinePosition[     14594,        318]
CellTagsIndexPosition[     14551,        315]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Remove", "[", "\"\<*Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xc", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "=", "160"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"l1", "=", "0.006"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"l2", "=", "0.002"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fl", "[", "i_", "]"}], ":=", 
  RowBox[{
   RowBox[{"l1", "*", 
    RowBox[{"(", 
     RowBox[{"2", "*", "\[Pi]", "*", "f"}], ")"}], "*", "i"}], "/;", 
   RowBox[{
    RowBox[{"Abs", "[", "i", "]"}], "<=", "k"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fl", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"l2", "*", 
        RowBox[{"(", 
         RowBox[{"2", "*", "\[Pi]", "*", "f"}], ")"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Abs", "[", "i", "]"}], "-", "k"}], ")"}]}], "+", 
       RowBox[{"fl", "[", "k", "]"}]}], ")"}], "*", 
     RowBox[{"Sign", "[", "i", "]"}]}], "/;", 
    RowBox[{
     RowBox[{"Abs", "[", "i", "]"}], ">", "k"}]}]}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "+", 
       RowBox[{"xc", "*", "i"}]}], ",", 
      RowBox[{"fl", "[", "i", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"NSolve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"l1", "*", 
     RowBox[{"(", 
      RowBox[{"2", "*", "\[Pi]", "*", "f"}], ")"}], "*", "i"}], "==", 
    RowBox[{"1", "+", 
     RowBox[{"xc", "*", "i"}]}]}], ",", "i"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NSolve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"l2", "*", 
         RowBox[{"(", 
          RowBox[{"2", "*", "\[Pi]", "*", "f"}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Abs", "[", "i", "]"}], "-", "k"}], ")"}]}], "+", 
        RowBox[{"fl", "[", "k", "]"}]}], ")"}], "*", 
      RowBox[{"Sign", "[", "i", "]"}]}], "==", 
     RowBox[{"1", "+", 
      RowBox[{"xc", "*", "i"}]}]}], ",", "i"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"xc", "*", "2", "*", "\[Pi]", "*", "f"}], ")"}]}], "*", 
     "1000"}], "//", "N"}]}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5442369291174755`*^9, 3.544237162200807*^9}, {
  3.5442372035491724`*^9, 3.5442376349058447`*^9}, {3.5442376748751307`*^9, 
  3.5442377254020205`*^9}, {3.544238123724803*^9, 3.5442381263159513`*^9}, {
  3.5442382422215805`*^9, 3.5442383122715874`*^9}, {3.5442384004936333`*^9, 
  3.544238484891461*^9}, {3.5442385722214556`*^9, 3.544238594791747*^9}, {
  3.544238649504876*^9, 3.5442386963135533`*^9}, {3.5442387606392326`*^9, 
  3.544238805913822*^9}, {3.5442388984551153`*^9, 3.5442389339851475`*^9}, {
  3.544239003839143*^9, 3.5442390100464983`*^9}, {3.5442390740861607`*^9, 
  3.544239124232029*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwt1Pk/1HkcwHFHEmq+qLFLjXI0j8T2wIYW9f6szTWOrSnRo3JtqSham1yp
WIp98Gi2tKu7FpVqSelQeItx1IOHmHFbjGsR8xFiGjK7+3jsD6/H8z94GQVH
8A+oKCkpef3bf24AvVGFgqLQ36hHoVBgxCeT1E9yitwZG88TMgU+emLFnfpI
MTWDVzw2oUDrdV7BQ+8pepb8dLFdokA7neSOulaKTfrVrk8qFUj6P7y9XECx
Vxz6KOScAvnn6h98HUBxnleUWM9SYHRD8tGDZVK0tnM1vcpZQLFYa/R10Dhu
QZ2eP3TnkVMescJu1Rha3Lp7g79ejk/DhGrMX6MouH0n9TcPGQamW020J42g
gM8bdtk6g7IL8akIw3h8b7HnzYBpzGZ162dJhnCaXc/dz5/EazyrSFHaII5S
d/NS7wlMOhIUY+Y+gGedTQ+f7BzDeNX70ZHjfXhMcyHEt3YYg840mLbck6Bp
Ynh4knwAL5UOZl0L7cXyTYVvm0GCL3vWLX1o3I2WN+NMFx3qQBNt4rTzRice
siyvnu9owsfrU0P7+tvQUsnqtLdvFfZUFa6xtW3B3vT72svZuThocckan4mQ
DCrf1oh4Ajqn8mw3KDdilpb6i1HZG7CwpRa5U3VYtuGyY+oFMfy8dfxdcUwN
Oupfcxl52wXsnfmC3V9U4ARJEJ0M74PHM1VMrelLTKhkyzdaD0Fu52DGSHI+
Ng7tt1nhOgr7tq8q6vwhEwP8OAez9aRQrBnfXBF1ERKFysYpIxNg06dsmOhX
ADZfvTPwnJgEk4lXn+wrimHxZhErTDwN7tnt9d5+FeB43SqDI5kBZy9d1Y9P
a0DexZU4DMjgfEDrGcvnddBSuc3ysVAONd6cZdt0G4E916xRUj8P40bsU01X
RBDZfr6bU7QAUcfNg87rtcBDj2PCKDcl0tqlzQ+pbYN3/Gp/rocyCYx1/Fvd
sxOS/3w2k+SoQirN7X6pVOuGw4/EO8ycVAlXo2Q4x60XuhZn5MfbLiKckjBn
tVQJ6NVrT6ty1YiSXCUvsq8PzjhULDSbLSaz20v9q9YOQOznZeo7V6mTzo0B
K9cmD0LOwXPilSZLyDFfbR3jriHI/LYuXX+tBtHPHPBbxBmG5REPnCrZmiR/
z627UzEjULH1RekzAy3iu/m0W23pKCiHB9juYi0lhf5Hje3n34OaetNl889L
iUzzO9Vin3Gwd4us4CmxCL/RwZaTJYWFrofD7EkW0XTQel1yXQpuR2oFXjMs
8jqnw2NvthR+nevflCJnEcuY2KCr+VIwNViZNq3CENbq5+n6VVLg+aaZiZYz
5M0R6372pBR+bzwQKrBhCFliJmB5UrCsNhzTjGWI7EeZQf52CnE+9plOCQwp
6KzJ9fKlUDng4xiXyBDDgpBX6cEUdqlmpI+kMWTeJ2dIM5ZCApmzqL3CkOfZ
qzer36Hw5mXr0ZQShoQvozV3HlDQ5U2xS8sZwo0u47sUUtjbziqbFjIkk7fv
UEoJBTrrzNpfz5DID1cuqooo6NkU5Tt1M2T9nlDD7DYKgcKGXXF9DJEIv8lz
6qaQt+P9QuEQQ7ZltZUljlBwjDT+3ogyZInKPXcjSuGs8pZZvymGYFi0uHya
QoNg903BLENONLsEBMopfLkmyrV2jiH//wuCCwRUoWDIP7oydCw=
     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwt1vs/lIkewHHmSSSESpSKEkVHoSVF3yfdEJIjdHMrJSYybYiKYjsplYpS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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{-1, 1}, {-2.4127430758908677`, 3.99999987755102}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.5442370671973734`*^9, 3.5442371401755476`*^9}, {
   3.5442372080064273`*^9, 3.5442372153798485`*^9}, {3.544237266558776*^9, 
   3.544237392859*^9}, {3.5442374247338233`*^9, 3.54423748237612*^9}, {
   3.5442375193572354`*^9, 3.5442375631627407`*^9}, {3.5442376128075805`*^9, 
   3.544237635475877*^9}, {3.5442376824335628`*^9, 3.544237725938051*^9}, 
   3.5442381270309925`*^9, {3.544238269708153*^9, 3.5442383127636156`*^9}, {
   3.544238473966836*^9, 3.544238485561499*^9}, 3.5442385239086924`*^9, {
   3.5442385792228565`*^9, 3.544238595632795*^9}, {3.5442386500659084`*^9, 
   3.5442386551892014`*^9}, 3.5442386967025757`*^9, {3.5442387639584227`*^9, 
   3.5442388064278517`*^9}, 3.544238899383168*^9, 3.5442389349942055`*^9, {
   3.5442390050702133`*^9, 3.5442390114195766`*^9}, {3.5442390748722057`*^9, 
   3.54423912477606*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"i", "\[Rule]", "0.329830762083092`"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.5442370671973734`*^9, 3.5442371401755476`*^9}, {
   3.5442372080064273`*^9, 3.5442372153798485`*^9}, {3.544237266558776*^9, 
   3.544237392859*^9}, {3.5442374247338233`*^9, 3.54423748237612*^9}, {
   3.5442375193572354`*^9, 3.5442375631627407`*^9}, {3.5442376128075805`*^9, 
   3.544237635475877*^9}, {3.5442376824335628`*^9, 3.544237725938051*^9}, 
   3.5442381270309925`*^9, {3.544238269708153*^9, 3.5442383127636156`*^9}, {
   3.544238473966836*^9, 3.544238485561499*^9}, 3.5442385239086924`*^9, {
   3.5442385792228565`*^9, 3.544238595632795*^9}, {3.5442386500659084`*^9, 
   3.5442386551892014`*^9}, 3.5442386967025757`*^9, {3.5442387639584227`*^9, 
   3.5442388064278517`*^9}, 3.544238899383168*^9, 3.5442389349942055`*^9, {
   3.5442390050702133`*^9, 3.5442390114195766`*^9}, {3.5442390748722057`*^9, 
   3.544239124794061*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InverseFunction", "::", "\<\"ifun\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Inverse functions are being \
used. Values may be lost for multivalued inverses.\\\\\\\"\\\", \
\\\"MT\\\"]\\) \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/InverseFunction/ifun\\\", ButtonNote -> \\\
\"InverseFunction::ifun\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.544238798091375*^9, 3.544238806435852*^9}, 
   3.5442388994041696`*^9, 3.5442389350362077`*^9, {3.5442390051122155`*^9, 
   3.5442390114535785`*^9}, {3.544239074908208*^9, 3.544239124811062*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InverseFunction", "::", "\<\"ifun\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Inverse functions are being \
used. Values may be lost for multivalued inverses.\\\\\\\"\\\", \
\\\"MT\\\"]\\) \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/InverseFunction/ifun\\\", ButtonNote -> \\\
\"InverseFunction::ifun\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.544238798091375*^9, 3.544238806435852*^9}, 
   3.5442388994041696`*^9, 3.5442389350362077`*^9, {3.5442390051122155`*^9, 
   3.5442390114535785`*^9}, {3.544239074908208*^9, 3.544239124827063*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"i", "\[Rule]", 
    RowBox[{"-", "1.4171732450882764`"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.5442370671973734`*^9, 3.5442371401755476`*^9}, {
   3.5442372080064273`*^9, 3.5442372153798485`*^9}, {3.544237266558776*^9, 
   3.544237392859*^9}, {3.5442374247338233`*^9, 3.54423748237612*^9}, {
   3.5442375193572354`*^9, 3.5442375631627407`*^9}, {3.5442376128075805`*^9, 
   3.544237635475877*^9}, {3.5442376824335628`*^9, 3.544237725938051*^9}, 
   3.5442381270309925`*^9, {3.544238269708153*^9, 3.5442383127636156`*^9}, {
   3.544238473966836*^9, 3.544238485561499*^9}, 3.5442385239086924`*^9, {
   3.5442385792228565`*^9, 3.544238595632795*^9}, {3.5442386500659084`*^9, 
   3.5442386551892014`*^9}, 3.5442386967025757`*^9, {3.5442387639584227`*^9, 
   3.5442388064278517`*^9}, 3.544238899383168*^9, 3.5442389349942055`*^9, {
   3.5442390050702133`*^9, 3.5442390114195766`*^9}, {3.5442390748722057`*^9, 
   3.5442391248340635`*^9}}],

Cell[BoxData["0.33157279810811535`"], "Output",
 CellChangeTimes->{{3.5442370671973734`*^9, 3.5442371401755476`*^9}, {
   3.5442372080064273`*^9, 3.5442372153798485`*^9}, {3.544237266558776*^9, 
   3.544237392859*^9}, {3.5442374247338233`*^9, 3.54423748237612*^9}, {
   3.5442375193572354`*^9, 3.5442375631627407`*^9}, {3.5442376128075805`*^9, 
   3.544237635475877*^9}, {3.5442376824335628`*^9, 3.544237725938051*^9}, 
   3.5442381270309925`*^9, {3.544238269708153*^9, 3.5442383127636156`*^9}, {
   3.544238473966836*^9, 3.544238485561499*^9}, 3.5442385239086924`*^9, {
   3.5442385792228565`*^9, 3.544238595632795*^9}, {3.5442386500659084`*^9, 
   3.5442386551892014`*^9}, 3.5442386967025757`*^9, {3.5442387639584227`*^9, 
   3.5442388064278517`*^9}, 3.544238899383168*^9, 3.5442389349942055`*^9, {
   3.5442390050702133`*^9, 3.5442390114195766`*^9}, {3.5442390748722057`*^9, 
   3.544239124842064*^9}}]
}, Open  ]]
},
WindowSize->{1350, 643},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 3441, 97, 412, "Input"],
Cell[4011, 121, 5926, 102, 238, "Output"],
Cell[9940, 225, 978, 15, 30, "Output"],
Cell[10921, 242, 699, 12, 21, "Message"],
Cell[11623, 256, 699, 12, 21, "Message"],
Cell[12325, 270, 1001, 16, 30, "Output"],
Cell[13329, 288, 905, 12, 30, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
