(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     24941,        689]
NotebookOptionsPosition[     24418,        667]
NotebookOutlinePosition[     24762,        682]
CellTagsIndexPosition[     24719,        679]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Remove", "[", "\"\<*Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bus", "=", "4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"aya", "=", 
   RowBox[{"Array", "[", 
    RowBox[{"ay", ",", 
     RowBox[{"{", 
      RowBox[{"bus", ",", "bus"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"tya", "=", 
   RowBox[{"Array", "[", 
    RowBox[{"ty", ",", 
     RowBox[{"{", 
      RowBox[{"bus", ",", "bus"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"ava", "=", 
   RowBox[{"Array", "[", 
    RowBox[{"av", ",", "bus"}], "]"}]}], ";", 
  RowBox[{"\[Theta]a", "=", 
   RowBox[{"Array", "[", 
    RowBox[{"\[Theta]", ",", "bus"}], "]"}]}], ";", 
  RowBox[{"pa", "=", 
   RowBox[{"Array", "[", 
    RowBox[{"p", ",", "bus"}], "]"}]}], ";", 
  RowBox[{"qa", "=", 
   RowBox[{"Array", "[", 
    RowBox[{"q", ",", "bus"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"qk", "[", "i_", "]"}], "=", 
   RowBox[{"-", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"k", "=", "1"}], "bus"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"av", "[", "i", "]"}], "*", 
       RowBox[{"ay", "[", 
        RowBox[{"i", ",", "k"}], "]"}], "*", 
       RowBox[{"av", "[", "k", "]"}], "*", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"\[Theta]", "[", "i", "]"}]}], "+", 
         RowBox[{"\[Theta]", "[", "k", "]"}], "+", 
         RowBox[{"ty", "[", 
          RowBox[{"i", ",", "k"}], "]"}]}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pk", "[", "i_", "]"}], "=", 
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"k", "=", "1"}], "bus"], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"av", "[", "i", "]"}], "*", 
      RowBox[{"ay", "[", 
       RowBox[{"i", ",", "k"}], "]"}], "*", 
      RowBox[{"av", "[", "k", "]"}], "*", 
      RowBox[{"Cos", "[", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"\[Theta]", "[", "i", "]"}]}], "+", 
        RowBox[{"\[Theta]", "[", "k", "]"}], "+", 
        RowBox[{"ty", "[", 
         RowBox[{"i", ",", "k"}], "]"}]}], "]"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"j", "=", 
   RowBox[{"(", GridBox[{
      {
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "2", "]"}]], 
        RowBox[{"pk", "[", "2", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "3", "]"}]], 
        RowBox[{"pk", "[", "2", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "4", "]"}]], 
        RowBox[{"pk", "[", "2", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "3", "]"}]], 
        RowBox[{"pk", "[", "2", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "4", "]"}]], 
        RowBox[{"pk", "[", "2", "]"}]}]},
      {
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "2", "]"}]], 
        RowBox[{"pk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "3", "]"}]], 
        RowBox[{"pk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "4", "]"}]], 
        RowBox[{"pk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "3", "]"}]], 
        RowBox[{"pk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "4", "]"}]], 
        RowBox[{"pk", "[", "3", "]"}]}]},
      {
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "2", "]"}]], 
        RowBox[{"pk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "3", "]"}]], 
        RowBox[{"pk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "4", "]"}]], 
        RowBox[{"pk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "3", "]"}]], 
        RowBox[{"pk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "4", "]"}]], 
        RowBox[{"pk", "[", "4", "]"}]}]},
      {
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "2", "]"}]], 
        RowBox[{"qk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "3", "]"}]], 
        RowBox[{"qk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "4", "]"}]], 
        RowBox[{"qk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "3", "]"}]], 
        RowBox[{"qk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "4", "]"}]], 
        RowBox[{"qk", "[", "3", "]"}]}]},
      {
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "2", "]"}]], 
        RowBox[{"qk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "3", "]"}]], 
        RowBox[{"qk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "4", "]"}]], 
        RowBox[{"qk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "3", "]"}]], 
        RowBox[{"qk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "4", "]"}]], 
        RowBox[{"qk", "[", "4", "]"}]}]}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"av", "[", "1", "]"}], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"av", "[", "2", "]"}], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"\[Theta]", "[", "1", "]"}], "=", "0"}], ";", 
  RowBox[{
   RowBox[{"p", "[", "2", "]"}], "=", 
   RowBox[{"1.2", "-", "0.5"}]}], ";", 
  RowBox[{
   RowBox[{"p", "[", "3", "]"}], "=", 
   RowBox[{"-", "1"}]}], ";", 
  RowBox[{
   RowBox[{"q", "[", "3", "]"}], "=", 
   RowBox[{"-", "0.5"}]}], ";", 
  RowBox[{
   RowBox[{"p", "[", "4", "]"}], "=", 
   RowBox[{"-", "0.5"}]}], ";", 
  RowBox[{
   RowBox[{"q", "[", "4", "]"}], "=", 
   RowBox[{"-", "0.1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"z12", "=", 
   RowBox[{"0.1", "+", 
    RowBox[{"\[ImaginaryI]", "*", "0.1"}]}]}], ";", 
  RowBox[{"z14", "=", 
   RowBox[{"0.1", "+", 
    RowBox[{"\[ImaginaryI]", "*", "0.1"}]}]}], ";", 
  RowBox[{"z20", "=", 
   FractionBox["1", 
    RowBox[{"\[ImaginaryI]", "*", "0.1"}]]}], ";", 
  RowBox[{"z23", "=", 
   RowBox[{"0.05", "+", 
    RowBox[{"\[ImaginaryI]", "*", "0.2"}]}]}], ";", 
  RowBox[{"z24", "=", 
   RowBox[{"0.1", "+", 
    RowBox[{"\[ImaginaryI]", "*", "0.2"}]}]}], ";", 
  RowBox[{"z30", "=", 
   FractionBox["1", 
    RowBox[{"\[ImaginaryI]", "*", "0.1"}]]}], ";", 
  RowBox[{"z34", "=", 
   RowBox[{"0.02", "+", 
    RowBox[{"\[ImaginaryI]", "*", "0.1"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{"ay", "[", 
         RowBox[{"1", ",", "1"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"1", ",", "2"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"1", ",", "3"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"1", ",", "4"}], "]"}]},
       {
        RowBox[{"ay", "[", 
         RowBox[{"2", ",", "1"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"2", ",", "2"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"2", ",", "3"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"2", ",", "4"}], "]"}]},
       {
        RowBox[{"ay", "[", 
         RowBox[{"3", ",", "1"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"3", ",", "2"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"3", ",", "3"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"3", ",", "4"}], "]"}]},
       {
        RowBox[{"ay", "[", 
         RowBox[{"4", ",", "1"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"4", ",", "2"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"4", ",", "3"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"4", ",", "4"}], "]"}]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}, "Items" -> {}, 
        "ItemsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}, "Items" -> {}, 
        "ItemsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], "=", 
   RowBox[{"Abs", "[", 
    RowBox[{"(", GridBox[{
       {
        RowBox[{
         FractionBox["1", "z12"], "+", 
         FractionBox["1", "z14"]}], 
        RowBox[{"-", 
         FractionBox["1", "z12"]}], "0", 
        RowBox[{"-", 
         FractionBox["1", "z14"]}]},
       {
        RowBox[{"-", 
         FractionBox["1", "z12"]}], 
        RowBox[{
         FractionBox["1", "z20"], "+", 
         FractionBox["1", "z12"], "+", 
         FractionBox["1", "z24"], "+", 
         FractionBox["1", "z23"]}], 
        RowBox[{"-", 
         FractionBox["1", "z23"]}], 
        RowBox[{"-", 
         FractionBox["1", "z24"]}]},
       {"0", 
        RowBox[{"-", 
         FractionBox["1", "z23"]}], 
        RowBox[{
         FractionBox["1", "z30"], "+", 
         FractionBox["1", "z23"], "+", 
         FractionBox["1", "z34"]}], 
        RowBox[{"-", 
         FractionBox["1", "z34"]}]},
       {
        RowBox[{"-", 
         FractionBox["1", "z14"]}], 
        RowBox[{"-", 
         FractionBox["1", "z24"]}], 
        RowBox[{"-", 
         FractionBox["1", "z34"]}], 
        RowBox[{
         FractionBox["1", "z14"], "+", 
         FractionBox["1", "z24"], "+", 
         FractionBox["1", "z34"]}]}
      }], ")"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{"ty", "[", 
         RowBox[{"1", ",", "1"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"1", ",", "2"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"1", ",", "3"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"1", ",", "4"}], "]"}]},
       {
        RowBox[{"ty", "[", 
         RowBox[{"2", ",", "1"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"2", ",", "2"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"2", ",", "3"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"2", ",", "4"}], "]"}]},
       {
        RowBox[{"ty", "[", 
         RowBox[{"3", ",", "1"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"3", ",", "2"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"3", ",", "3"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"3", ",", "4"}], "]"}]},
       {
        RowBox[{"ty", "[", 
         RowBox[{"4", ",", "1"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"4", ",", "2"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"4", ",", "3"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"4", ",", "4"}], "]"}]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}, "Items" -> {}, 
        "ItemsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}, "Items" -> {}, 
        "ItemsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], "=", 
   RowBox[{"Arg", "[", 
    RowBox[{"(", GridBox[{
       {
        RowBox[{
         FractionBox["1", "z12"], "+", 
         FractionBox["1", "z14"]}], 
        RowBox[{"-", 
         FractionBox["1", "z12"]}], "0", 
        RowBox[{"-", 
         FractionBox["1", "z14"]}]},
       {
        RowBox[{"-", 
         FractionBox["1", "z12"]}], 
        RowBox[{
         FractionBox["1", "z20"], "+", 
         FractionBox["1", "z12"], "+", 
         FractionBox["1", "z24"], "+", 
         FractionBox["1", "z23"]}], 
        RowBox[{"-", 
         FractionBox["1", "z23"]}], 
        RowBox[{"-", 
         FractionBox["1", "z24"]}]},
       {"0", 
        RowBox[{"-", 
         FractionBox["1", "z23"]}], 
        RowBox[{
         FractionBox["1", "z30"], "+", 
         FractionBox["1", "z23"], "+", 
         FractionBox["1", "z34"]}], 
        RowBox[{"-", 
         FractionBox["1", "z34"]}]},
       {
        RowBox[{"-", 
         FractionBox["1", "z14"]}], 
        RowBox[{"-", 
         FractionBox["1", "z24"]}], 
        RowBox[{"-", 
         FractionBox["1", "z34"]}], 
        RowBox[{
         FractionBox["1", "z14"], "+", 
         FractionBox["1", "z24"], "+", 
         FractionBox["1", "z34"]}]}
      }], ")"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"av", "[", "3", "]"}], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"av", "[", "4", "]"}], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"\[Theta]", "[", "2", "]"}], "=", "0"}], ";", 
  RowBox[{
   RowBox[{"\[Theta]", "[", "3", "]"}], "=", "0"}], ";", 
  RowBox[{
   RowBox[{"\[Theta]", "[", "4", "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", 
    RowBox[{"i", "\[LessEqual]", "5"}], ",", 
    RowBox[{"i", "++"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"(", GridBox[{
         {
          RowBox[{"\[Theta]", "[", "2", "]"}]},
         {
          RowBox[{"\[Theta]", "[", "3", "]"}]},
         {
          RowBox[{"\[Theta]", "[", "4", "]"}]},
         {
          RowBox[{"av", "[", "3", "]"}]},
         {
          RowBox[{"av", "[", "4", "]"}]}
        }], ")"}], "=", 
      RowBox[{
       RowBox[{"(", GridBox[{
          {
           RowBox[{"\[Theta]", "[", "2", "]"}]},
          {
           RowBox[{"\[Theta]", "[", "3", "]"}]},
          {
           RowBox[{"\[Theta]", "[", "4", "]"}]},
          {
           RowBox[{"av", "[", "3", "]"}]},
          {
           RowBox[{"av", "[", "4", "]"}]}
         }], ")"}], "-", 
       RowBox[{
        RowBox[{"Inverse", "[", "j", "]"}], ".", 
        RowBox[{"(", GridBox[{
           {
            RowBox[{
             RowBox[{"pk", "[", "2", "]"}], "-", 
             RowBox[{"p", "[", "2", "]"}]}]},
           {
            RowBox[{
             RowBox[{"pk", "[", "3", "]"}], "-", 
             RowBox[{"p", "[", "3", "]"}]}]},
           {
            RowBox[{
             RowBox[{"pk", "[", "4", "]"}], "-", 
             RowBox[{"p", "[", "4", "]"}]}]},
           {
            RowBox[{
             RowBox[{"qk", "[", "3", "]"}], "-", 
             RowBox[{"q", "[", "3", "]"}]}]},
           {
            RowBox[{
             RowBox[{"qk", "[", "4", "]"}], "-", 
             RowBox[{"q", "[", "4", "]"}]}]}
          }], ")"}]}]}]}], ";", 
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<iteration=\>\"", ",", "i", ",", "\"\<   \[Theta][2]=\>\"", ",", 
       " ", 
       RowBox[{"\[Theta]", "[", "2", "]"}], ",", "\"\<   \[Theta][3]=\>\"", 
       ",", " ", 
       RowBox[{"\[Theta]", "[", "3", "]"}], ",", "\"\<   \[Theta][4]=\>\"", 
       ",", " ", 
       RowBox[{"\[Theta]", "[", "4", "]"}], ",", "\"\<   av[3]=\>\"", ",", 
       RowBox[{"av", "[", "3", "]"}], ",", "\"\<   av[4]=\>\"", ",", 
       RowBox[{"av", "[", "4", "]"}]}], "]"}]}]}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.46623671551612*^9, 3.4662368189923015`*^9}, {
   3.466236894995635*^9, 3.466237082383164*^9}, {3.4662372234074116`*^9, 
   3.46623724530985*^9}, 3.4662373018599496`*^9, {3.466237336726011*^9, 
   3.466237380343687*^9}, {3.4662374157557497`*^9, 3.46623741588055*^9}, {
   3.4662374468622046`*^9, 3.4662379780587373`*^9}, {3.466238035981639*^9, 
   3.466238278265664*^9}, {3.4662383090289183`*^9, 3.4662383783866405`*^9}, {
   3.4662384104290967`*^9, 3.4662385982846265`*^9}, {3.466239004900341*^9, 
   3.4662391384053755`*^9}, {3.4662393825468044`*^9, 
   3.4662394128576574`*^9}, {3.4662395101706285`*^9, 
   3.4662396789473248`*^9}, {3.466239754669858*^9, 3.4662398024215417`*^9}, {
   3.466239856304036*^9, 3.466239862154046*^9}, {3.466239901466116*^9, 
   3.4662399324633703`*^9}, {3.4662399686242332`*^9, 3.466240132190521*^9}, {
   3.4662401925158267`*^9, 3.466240263854752*^9}, {3.466240316676445*^9, 
   3.466240317300446*^9}, {3.4662403505285044`*^9, 3.4662405607856736`*^9}, {
   3.466240618396575*^9, 3.4662407149139442`*^9}, {3.466240793397682*^9, 
   3.466240796611288*^9}, {3.4662414964721174`*^9, 3.4662415223993626`*^9}, {
   3.466241579932264*^9, 3.466241664687213*^9}, {3.466241741673348*^9, 
   3.46624197055695*^9}, {3.466242014159026*^9, 3.4662420388694696`*^9}, {
   3.466242072347129*^9, 3.4662421443568554`*^9}, {3.4662422493450394`*^9, 
   3.466242398986106*^9}, {3.4662424725558352`*^9, 3.466242542490758*^9}, {
   3.4662428674081287`*^9, 3.4662429291218367`*^9}, {3.46624439965522*^9, 
   3.4662444453633003`*^9}, {3.466244599616371*^9, 3.4662446239368143`*^9}, 
   3.466246806627484*^9, {3.466247376044084*^9, 3.466247376200084*^9}, {
   3.466247547940786*^9, 3.466247560498808*^9}, {3.544226918563674*^9, 
   3.54422695612854*^9}, {3.5442270003702173`*^9, 3.5442270078426304`*^9}, {
   3.5442270388086853`*^9, 3.5442270499003043`*^9}, {3.544227086045568*^9, 
   3.544227464018632*^9}, {3.5442275294919467`*^9, 3.544227547322778*^9}, {
   3.544227609145687*^9, 3.5442278322572784`*^9}, {3.5442279733439264`*^9, 
   3.544228093869738*^9}, {3.544228146644631*^9, 3.5442281510438385`*^9}, 
   3.5442282236151657`*^9, {3.544228531029306*^9, 3.544228588421807*^9}, {
   3.5442286343482876`*^9, 3.544228741411276*^9}, {3.544228774748534*^9, 
   3.54422888622633*^9}, {3.544228939328823*^9, 3.544228969374476*^9}, {
   3.544229020542566*^9, 3.544229172674033*^9}, {3.5442292768666162`*^9, 
   3.544229335616319*^9}, 3.5442293739767866`*^9, {3.544229463692544*^9, 
   3.5442295343674684`*^9}, {3.544229571292733*^9, 3.544229604895192*^9}, {
   3.544229709118975*^9, 3.54422988828529*^9}, {3.5442301701309853`*^9, 
   3.5442301708797865`*^9}, 3.5442302465711193`*^9, {3.5442303827593584`*^9, 
   3.544230409170205*^9}, {3.5442309217091055`*^9, 3.5442309393683357`*^9}, {
   3.5442312563764925`*^9, 3.5442312596056986`*^9}, {3.5442317097912893`*^9, 
   3.544231785326622*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"iteration=\"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.024664378526015697`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.11260402341979243`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06650120184524182`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9111986834937698`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9311655803712579`"}],
  SequenceForm[
  "iteration=", 1, "   \[Theta][2]=", -0.024664378526015697`, 
   "   \[Theta][3]=", -0.11260402341979243`, 
   "   \[Theta][4]=", -0.06650120184524182, "   av[3]=", 0.9111986834937698, 
   "   av[4]=", 0.9311655803712579],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5442317751242037`*^9, 3.544231785981823*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"iteration=\"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.031116973050727796`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.128714296410447`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.07285290128572632`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.8964447941039747`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9202526180006171`"}],
  SequenceForm[
  "iteration=", 2, "   \[Theta][2]=", -0.031116973050727796`, 
   "   \[Theta][3]=", -0.128714296410447, 
   "   \[Theta][4]=", -0.07285290128572632, "   av[3]=", 0.8964447941039747, 
   "   av[4]=", 0.9202526180006171],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5442317751242037`*^9, 3.544231785981823*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"iteration=\"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03127998674276287`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.1290942897093785`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.07293311677028123`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.8960854699207975`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9200062431668237`"}],
  SequenceForm[
  "iteration=", 3, "   \[Theta][2]=", -0.03127998674276287, 
   "   \[Theta][3]=", -0.1290942897093785, 
   "   \[Theta][4]=", -0.07293311677028123, "   av[3]=", 0.8960854699207975, 
   "   av[4]=", 0.9200062431668237],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5442317751242037`*^9, 3.544231785981823*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"iteration=\"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03128008306882396`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.12909451382357837`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.07293312916241802`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.8960852413779528`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9200060952356369`"}],
  SequenceForm[
  "iteration=", 4, "   \[Theta][2]=", -0.03128008306882396, 
   "   \[Theta][3]=", -0.12909451382357837`, 
   "   \[Theta][4]=", -0.07293312916241802, "   av[3]=", 0.8960852413779528, 
   "   av[4]=", 0.9200060952356369],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5442317751242037`*^9, 3.544231785981823*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"iteration=\"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03128008306886242`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.12909451382366738`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.0729331291624142`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.896085241377855`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9200060952355751`"}],
  SequenceForm[
  "iteration=", 5, "   \[Theta][2]=", -0.03128008306886242, 
   "   \[Theta][3]=", -0.12909451382366738`, 
   "   \[Theta][4]=", -0.0729331291624142, "   av[3]=", 0.896085241377855, 
   "   av[4]=", 0.9200060952355751],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5442317751242037`*^9, 3.544231785981823*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1350, 643},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 18987, 539, 718, "Input"],
Cell[CellGroupData[{
Cell[19579, 565, 964, 18, 23, "Print"],
Cell[20546, 585, 959, 18, 23, "Print"],
Cell[21508, 605, 958, 18, 23, "Print"],
Cell[22469, 625, 961, 18, 23, "Print"],
Cell[23433, 645, 957, 18, 23, "Print"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
